void PrintSparseMatrix ( int m, int n, int nnz, GLuint rc, GLuint a )
{
  int     i, j;
  GLuint  *rcb;
  GLfloat *ab;

  printf ( "m = %d, n = %d, nnz = %d\n", m, n, nnz );
  rcb = malloc ( (m+1+nnz)*sizeof(GLuint) );
  glBindBuffer ( GL_SHADER_STORAGE_BUFFER, rc );
  glGetBufferSubData ( GL_SHADER_STORAGE_BUFFER, 0,
                      (m+1+nnz)*sizeof(GLuint), rcb );
  ab = malloc ( nnz*sizeof(GLfloat) );
  glBindBuffer ( GL_SHADER_STORAGE_BUFFER, a );
  glGetBufferSubData ( GL_SHADER_STORAGE_BUFFER, 0, nnz*sizeof(GLfloat), ab );
  for ( i = j = 0;  i < m;  i++ )
    for ( ; j < rcb[i+1]; j++ )
      printf ( "(%d,%d,%f)\n", i, rcb[m+1+j], ab[j] );
  printf ( "OK\n" );
  free ( ab );
  free ( rcb );
} /*PrintSparseMatrix*/

