#version 450 core

layout (local_size_x=1) in;

uniform uint n, h;
uniform bool reverse;

void CompSwap ( uint i, uint j );

void main ( void )
{
  uint iid, i, j, l, h2;

  iid = uint ( gl_GlobalInvocationID.x );
  h2 = h >> 1;  l = iid % h2;  iid /= h2;
  i = iid*h+l;  j = reverse ? (iid+1)*h-l-1 : i+h2;
  if ( j < n )
    CompSwap ( i, j );
} /*main*/

