#version 420 

#define M  20
#define N  40
#define D  -0.75
#define Y  4.0
#define Z  -7.5

layout(location=0) in vec4 in_Position;
layout(location=1) in vec4 in_Colour;

out Vertex {
  vec4 Colour;
} Out;

void main ( void )
{
  int i;

  gl_Position.w = 1.0;
  if ( gl_InstanceID <= M ) {
    i = gl_InstanceID;
    gl_Position.x = gl_VertexID == 0 ? -0.5*N*D : 0.5*N*D;
    gl_Position.y = Y;
    gl_Position.z = Z-i*D;
  }
  else {
    i = gl_InstanceID-M-1;
    gl_Position.x = (i-0.5*N)*D;
    gl_Position.y = Y;
    gl_Position.z = gl_VertexID == 0 ? Z : Z-M*D;
  }
  Out.Colour = vec4(0.0,0.0,0.0,0.0);
} /*main*/
