#version 420 

layout(location=0) in vec4 in_Position;

out Vertex {
  vec4 Colour;
} Out;

uniform TransBlock {
    mat4 mm, mmti, vm, pm, vpm;
    vec4 eyepos;
  } trb;

uniform BSPatch {
    int  dim, n, N, m, M;
    int  stride;
    vec4 Colour;
  } bsp;

void main ( void )
{
  gl_Position = trb.vpm * (trb.mm * in_Position);
  Out.Colour = bsp.Colour;
  Out.Colour = vec4 ( 0.0, 0.0, 0.75, 1.0 );
} /*main*/
