#version 420 core

layout (location=0) in vec4 vpos;

uniform int w, h, x, y;

uniform TransBlock {
    mat4 mm, vm, pm;
  } trb;

void main ( void )
{
  vec4 v;

  switch ( gl_VertexID ) {
case 0: v = vec4 ( x,   y,   0.0, 1.0 );  break;
case 1: v = vec4 ( x,   y+h, 0.0, 1.0 );  break;
case 2: v = vec4 ( x+w, y+h, 0.0, 1.0 );  break;
case 3: v = vec4 ( x+w, y,   0.0, 1.0 );  break;
  }
  gl_Position = trb.pm * v;
} /*main*/

