#version 430 core

uniform TriangBlock {
    mat4x4 vpm, sqpm;
  } tr;

layout(location=0) out vec3 Colour;

void main ( void )
{
  vec4 p;

  switch ( gl_VertexID ) {
case 0:
    p = vec4 ( 0.0, 0.0, 0.0, 1.0 );
    Colour = vec3 ( 0.0, 0.0, 1.0 );
    break;
case 1:
    p = vec4 ( 1.0, 0.0, 0.0, 1.0 );
    Colour = vec3 ( 1.0, 0.0, 0.0 );
    break;
default:
    p = vec4 ( 0.0, 1.0, 0.0, 1.0 );
    Colour = vec3 ( 0.0, 1.0, 0.0 ); 
    break;
  }
  gl_Position = tr.vpm * p;
} /*main*/

